import response from '../response';

function run(status, headers, body) {
  response({
      plugin: {
        urlParse: (urlString) => {
          if (typeof document !== 'undefined') {
            let url = document.createElement('a');
	    url.href = urlString;
            url.query = {};
            const vars = url.search.substring(1).split('&');
            vars.forEach((value, index) => {
              const pair = value.split('=');
              url.query[pair[0]] = decodeURIComponent(pair[1]);
            });
	    return url;
          } else {
            return require('url').parse(urlString, true);
          }
        }
      }
    }, {
      url: 'http://test/url',
    }, {
      status: status,
      headers: headers,
      body: body,
    }
  );
};


describe('Testing 3xx Error...', function() {
  it('should throw redirect error', function() {
    const headers = {'location': 'http://localhost:3434/sdfs?errorMessage=http://redirect/url'};

    expect(() => run(304, headers, '')).toThrowError(/http:\/\/redirect\/url/);
  });
  
});
