import parseResponse from '../response'

describe('Testing 5xx Error...', function() {
  it('should throw server error', function() {
    const res = {
      status: 500,
      headers: {'content-type': 'text/html'},
      body: `
      <html>
        <head>
          <title>Error 500 Server Error</title>
        </head>
        <body>
          <p>Problem accessing /portalserver/import/package. Reason:
            <pre>Server Error</pre>
          </p>
          <pre>text one</pre>
          <pre>text two</pre>
        </body>
      </html>`,
    };
    
    expect(() => parseResponse({}, {}, res))
      .toThrowError(/Server Error: Problem accessing \/portalserver\/import\/package. Reason:/);
    expect(() => parseResponse({}, {}, res))
      .toThrowError(/text one/);
    expect(() => parseResponse({}, {}, res))
      .toThrowError(/text two/);
  });
  it('should throw missing resource error', function() {
    const res = {
      status: 500,
      headers: {'content-type': 'application/xml'},
      body: `<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
        <errorMessage><message>Missing resources:static/widgets/BBHOST/widget-navbar/icon.png, static/widgets/BBHOST/widget-navbar/templates/mustache_top_level.html, static/widgets/BBHOST/widget-navbar/index.html, static/widgets/BBHOST/widget-transactions-overview/icon.png, static/widgets/BBHOST/widget-transactions-overview/index.html, static/widgets/BBHOST/widget-widgets-catalog/icon.png, static/widgets/BBHOST/widget-widgets-catalog/icon.png, static/widgets/BBHOST/widget-widgets-catalog/index.html
          </message>
          <type>IMPORT_ERROR</type>
        </errorMessage>`,
    };
    
    expect(() => parseResponse({}, {}, res))
      .toThrowError(/Server Error: Missing resources:static/);
  });
});

