import * as utils from './utils';

describe('Testing jxon errors...', function() {
  it('jsToString, passing invalid jxon object', function() {
    expect(function() {
      utils.jsToString(['!@##$@RE#']);
    }).toThrowError(/jsToString error/);
    expect(function() {
      utils.jsToString({});
    }).toThrowError(/jsToString error/);
    expect(function() {
      utils.jsToString([]);
    }).toThrowError(/jsToString error/);
  });
  it('stringToJs, passing invalid xml string', function() {
    expect(function() {
      utils.stringToJs(['!@##$@RE#']);
    }).toThrowError(/stringToJs error/);
    expect(function() {
      utils.stringToJs({});
    }).toThrowError(/stringToJs error/);
    expect(function() {
      utils.stringToJs([]);
    }).toThrowError(/stringToJs error/);
    expect(function() {
      utils.stringToJs('<pop><zs></pop></zs>');
    }).toThrowError(/stringToJs error/);
    expect(function() {
      utils.stringToJs('<pop>asd<</pop>');
    }).toThrowError(/stringToJs error/);
  });
});

